> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Option Product

> Updates a product within a bundle option, including its quantity, configuration, and display order.



## OpenAPI

````yaml swagger.json patch /bundles/{bundleId}/options/{optionId}/{productId}
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}/options/{optionId}/{productId}:
    patch:
      tags:
        - Bundle Option Products
      summary: Update Option Product
      description: >-
        Updates a product within a bundle option, including its quantity,
        configuration, and display order.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
        - name: optionId
          in: path
          required: true
          schema:
            type: string
        - name: productId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOptionProductRequest'
      responses:
        '200':
          description: Product updated successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BundleOptionProduct'
        '400':
          description: >-
            Invalid request (option doesn't belong to bundle or product not
            found)
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpdateOptionProductRequest:
      type: object
      properties:
        product:
          type: object
          properties:
            id:
              type: string
            properties:
              type: object
              additionalProperties:
                type: string
                nullable: true
            configuration:
              $ref: '#/components/schemas/BundleProductConfiguration'
          required:
            - id
            - properties
        displayOrder:
          type: number
      required:
        - product
    BundleOptionProduct:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        optionId:
          type: string
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
        configuration:
          $ref: '#/components/schemas/BundleProductConfiguration'
        displayOrder:
          type: number
      required:
        - id
        - accountId
        - bundleId
        - optionId
        - productId
        - properties
        - displayOrder
    BundleProductConfiguration:
      type: object
      properties:
        minQuantity:
          type: number
        maxQuantity:
          type: number
        readonlyQuantity:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````